## dask.distributed 2024.12.1+ds

=== docs/requirements.txt ===
numpydoc
tornado
toolz
cloudpickle
git+https://github.com/dask/dask
sphinx
dask-sphinx-theme>=3.0.0
# FIXME: `sphinxcontrib-*` pins are a workaround until we have sphinx>=5.
#        See https://github.com/dask/dask-sphinx-theme/issues/68.
sphinxcontrib-applehelp>=1.0.0,<1.0.7
sphinxcontrib-devhelp>=1.0.0,<1.0.6
sphinxcontrib-htmlhelp>=2.0.0,<2.0.5
sphinxcontrib-serializinghtml>=1.1.0,<1.1.10
sphinxcontrib-qthelp>=1.0.0,<1.0.7
sphinx-click
memray
sphinx_design
